xclade
Admin APICampaigns

Delete a Campaign

Delete a campaign by its ID. This doesn't delete promotions that belong to this campaign.

DELETE
/admin/campaigns/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The campaign's ID.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X DELETE "https://{tenant}.api.myxclade.com/admin/campaigns/string"
{
  "id": "string",
  "object": "campaign",
  "deleted": true
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}